Skip to main content
GET
/
matters
/
{matterId}
/
roles
Get roles on a matter
curl --request GET \
  --url https://api.smokeball.com/matters/{matterId}/roles \
  --header 'Authorization: <api-key>' \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.smokeball.com/matters/{matterId}/roles"

headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};

fetch('https://api.smokeball.com/matters/{matterId}/roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "href": "<string>",
  "relation": "<string>",
  "method": "GET",
  "self": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "versionId": "832e778f-83df-454a-b344-768a862a7e67",
  "matterId": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
  "roles": [
    {
      "href": "<string>",
      "relation": "<string>",
      "method": "GET",
      "self": {
        "id": "<string>",
        "href": "<string>",
        "relation": "<string>",
        "method": "GET"
      },
      "id": "009f778f-83df-454a-b344-768a862a7e55",
      "name": "Client",
      "contact": {
        "id": "<string>",
        "href": "<string>",
        "relation": "<string>",
        "method": "GET"
      },
      "roleDescription": "Head Honcho",
      "description": "The person for whom I am working",
      "representatives": [
        {
          "id": "<string>",
          "href": "<string>",
          "relation": "<string>",
          "method": "GET"
        }
      ],
      "relationships": [
        {
          "href": "<string>",
          "relation": "<string>",
          "method": "GET",
          "self": {
            "id": "<string>",
            "href": "<string>",
            "relation": "<string>",
            "method": "GET"
          },
          "id": "009f778f-83df-454a-b344-768a862a7e55",
          "name": "Solicitor",
          "contact": {
            "id": "<string>",
            "href": "<string>",
            "relation": "<string>",
            "method": "GET"
          },
          "representatives": [
            {
              "id": "<string>",
              "href": "<string>",
              "relation": "<string>",
              "method": "GET"
            }
          ]
        }
      ],
      "isClient": false,
      "isOtherSide": false
    }
  ]
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

matterId
string<uuid>
required

Response

When request is successful. Returns a 'MatterRoles' object.

id
string | null
href
string | null
relation
string | null
method
string | null
default:GET
self
object | null
versionId
string | null

Version id of the record.

Example:

"832e778f-83df-454a-b344-768a862a7e67"

matterId
string | null

Matter id.

Example:

"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"

roles
object[] | null

List of associated roles.